# addon.installfiles

Installs a set of files for an addon

Usage

    addon.installfiles <id> <target> [files]

Description

Installs the [files] for the addon identified by the specified <id>. The files will be automatically removed when the addon is uninstalled. <target> is the target path inside the local kvirc directory. The following standard paths should be used:

- "pics" for image files.
- "locale" for translation *.mo files.
- "audio" for sound files.
- "config" for configuration files.
- "help/<language>" for help files.

Other target paths are allowed and subdirectories are supported (eg. "pics/myaddon"). [files] is a list of filenames or directory names. Each file will be copied to the specified target path in the local kvirc directory. Filenames can contain wildcard characters in the last component.

Switches

-q | --quiet
Makes the command run quietly
-s | --skip-inexistant
Skip inexistant entries in the [files] list

Syntax Specification

    addon.installfiles <id:string> <target:string> [files]

See also
addon.register addon.uninstall

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013